Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.j3d
Class TerrainModel

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.Node
              javax.media.j3d.Leaf
                  javax.media.j3d.Shape3D
                      org.deegree.ogcwebservices.wpvs.j3d.TerrainModel

Direct Known Subclasses:
  HeightMapTerrain, TriangleTerrain

    public abstract class TerrainModel

extends javax.media.j3d.Shape3D

The `TerrainModel` class is a base class for all dgm's (terrains). It is capable of loading a texture onto the geometry of it's subclasses.

Version:
  $Revision: 20601 $, $Date: 2009-11-05 16:25:55 +0100 (Do, 05. Nov 2009) $
Author:
  Rutger Bezema, last edited by: $Author: rbezema $

Field Summary

Fields inherited from class javax.media.j3d.Shape3D
`ALLOW_APPEARANCE_OVERRIDE_READ, ALLOW_APPEARANCE_OVERRIDE_WRITE, ALLOW_APPEARANCE_READ, ALLOW_APPEARANCE_WRITE, ALLOW_COLLISION_BOUNDS_READ, ALLOW_COLLISION_BOUNDS_WRITE, ALLOW_GEOMETRY_READ, ALLOW_GEOMETRY_WRITE`

Fields inherited from class javax.media.j3d.Node
`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

Constructor Summary
`protected` | `TerrainModel()` Creates a TerrainModel with a default Appearance set.
`protected` | `TerrainModel(BufferedImage textureImage)` Create a terrain from the given buffered image

Method Summary
`abstract void` | `createTerrain()` This method implements all the necessary steps to generate a Shape3D Terrain (Elevation model).
`BufferedImage` | `getTexture()`
`void` | `setTexture(BufferedImage textureImage)`
`String` | `toString()`

Methods inherited from class javax.media.j3d.Shape3D
`addGeometry, cloneNode, duplicateNode, getAllGeometries, getAppearance, getAppearanceOverrideEnable, getBounds, getCollisionBounds, getGeometry, getGeometry, indexOfGeometry, insertGeometry, intersect, intersect, intersect, numGeometries, removeAllGeometries, removeGeometry, removeGeometry, setAppearance, setAppearanceOverrideEnable, setCollisionBounds, setGeometry, setGeometry`

Methods inherited from class javax.media.j3d.Node
`cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, updateNodeReferences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TerrainModel

    protected TerrainModel()

  Creates a TerrainModel with a default Appearance set.

  The default apearance of this terrain is defined as:

  - specularColor = new Color3f( 0.7f, 0.7f, 0.7f )
  - ambientColor = white
  - diffuseColor = white
  - shininess = 75f
  - lighting is enabled
  - matieral is writable (Material.ALLOW_COMPONENT_WRITE)

### TerrainModel

    protected TerrainModel(BufferedImage textureImage)

  Create a terrain from the given buffered image

  Parameters:
    `textureImage` -

Method Detail

### createTerrain

    public abstract void createTerrain()

  This method implements all the necessary steps to generate a Shape3D Terrain (Elevation model). Before rendering this Class this method should therefor be called prior.

### setTexture

    public void setTexture(BufferedImage textureImage)

  Parameters:
    `textureImage` - An other texture value.

### getTexture

    public BufferedImage getTexture()

  Returns:
    the BufferedImage which can be used as a texture or `null`if no texture was defined.

### toString

    public String toString()

  Overrides:
    `toString` in class `javax.media.j3d.SceneGraphObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org